//
//  ANProgressSheet.h
//  AvisNocturnaMacCore
//
//  Created by Mendel Kucharzeck on 21.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@interface ANProgressSheet : NSObject
{
    NSWindow *window;
    
    NSTextField *messageTextField;
    NSTextField *informativeTextField;
    NSProgressIndicator *progressIndiciator;
    NSImageView *iconView;

    id cancelButtonTarget;
    SEL cancelButtonSelector;
}

- (void) openAsSheetForWindow:(NSWindow*)sheetWindow;
- (void) close;

@property (assign) id cancelButtonTarget;
@property (assign) SEL cancelButtonSelector;

@property (retain) NSString *message;
@property (retain) NSString *informative;
@property (retain) NSImage *icon;

@property (assign) float progress;  //0..1

@end
