//
//  LCAnimationPresetPreviewer-Preview.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 02.10.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCAnimationPresetPreviewer.h"

@interface LCAnimationPresetPreviewer (Preview)

- (void) beginPreview;

- (CGImageRef) previewImageAtTime:(NSTimeInterval)time withMaxResolution:(CGSize)size;
- (CGImageRef) previewImageWithMaxResolution:(CGSize)size;
- (NSArray*) platformPreviewImageAnimationWithMaxResolution:(CGSize)size;

- (void) endPreview;

@end
