//
//  LCAnimationPresetPreviewer.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 02.10.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@class LCBaseAnimationPreset;
@class LCBaseObject;
@class LCObjectsContainer;

#define LCAnimationPresetPreviewer_FrameDistance 0.075f

@interface LCAnimationPresetPreviewer : NSObject
{
    LCBaseAnimationPreset *preset;
    LCBaseObject *objectToPreview;
    LCObjectsContainer *objectsContainer;
}

- (id) initWithPreset:(LCBaseAnimationPreset*)preset;
- (id) initWithPresetClass:(Class)presetClass;

@property (copy) LCBaseObject *objectToPreview;

@end
