//
//  LCArrowObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 20.07.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseObject.h"

@interface LCArrowObject : LCBaseObject
{
    CGPoint fromPoint;
    CGPoint toPoint;
    
    float width;
    
    float arrowHeight;
    float arrowLength;
    float arrowInset;
    float arrowHeadRounding;
    
    BOOL arrowAtStart;
    BOOL arrowAtEnd;
    
    //Handles & Dragging
    CGPoint dragStartPoint;
    CGPoint fromDragStartPoint;
    CGPoint toDragStartPoint;
}

@property (assign) CGPoint fromPoint;
@property (assign) CGPoint toPoint;

@property (assign) float width;

@property (assign) float arrowHeight;
@property (assign) float arrowLength;
@property (assign) float arrowInset;
@property (assign) float arrowHeadRounding;

@property (assign) BOOL arrowAtStart;
@property (assign) BOOL arrowAtEnd;

@end
