//
//  LCExtrudeFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 12.01.13.
//  Copyright (c) 2013 AvisNocturna Software. All rights reserved.
//

#import "LCBaseFilter.h"

@interface LCBaseExtrudeFilter : LCBaseFilter
{
    float inset;
    float xOffset;
    float yOffset;
}

@property (assign) float inset;
@property (assign) float xOffset;
@property (assign) float yOffset;

//For Subclassers
- (CGColorRef) colorRefForPoint:(CGPoint)point andAngle:(float)angle;

@end
