//
//  LCBaseFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 15.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

#import "LCTimelineAnimateableObject.h"

@class LCBaseObject;

@interface LCBaseFilter : LCTimelineAnimateableObject <NSCoding,NSCopying>
{
    LCBaseObject *object;

    BOOL enabled;
}

- (id) initWithObject:(LCBaseObject*)o;

@property (assign) LCBaseObject *object;

@property (assign) BOOL enabled;

+ (NSString*) localizedCategoryName;

@end
