//
//  LCBaseGeneratedPattern.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 20.06.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCGeneratedPatternDelegate.h"
#import "LCTimelineAnimateableObject.h"

@interface LCBaseGeneratedPattern : LCTimelineAnimateableObject <NSCoding>
{
    id <LCGeneratedPatternDelegate> delegate;
    
    LCTimelineAnimateableObject *superObject;
    
    unsigned int randomNumberSeed;
}

@property (assign) id <LCGeneratedPatternDelegate> delegate;

- (void) postGeneratedPatternChangedNotification;

@property (assign) LCTimelineAnimateableObject *superObject;

- (float) randomNumber; //0..1

//For Subclassers
- (void) alternateImageInContext:(CGContextRef)context withContextBytes:(unsigned char*)bytes andMask:(CGImageRef)mask withZoomFactor:(float)zoomFactor andMaskRect:(CGRect)maskRect andPaddedRect:(CGRect)paddedRect;

+ (NSString*) displayName;

@property (readonly) NSArray *propertyEditDictionaries;

@end
