//
//  LCChangeManagerAwareObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 21.08.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@class LCObjectsChangeManager;

@interface LCChangeManagerAwareObject : NSObject
{
}

//For Subclassers
@property (readonly) LCObjectsChangeManager *changeManager;
@property (readonly) NSUndoManager *undoManager;

- (void) objectHasBeenRemovedFromObject:(id)object;

@end
