//
//  LCColorExtrudeFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 15.01.13.
//  Copyright (c) 2013 AvisNocturna Software. All rights reserved.
//

#import "LCBaseExtrudeFilter.h"

@interface LCColorExtrudeFilter : LCBaseExtrudeFilter
{
    ANPlatformColor *highlightColor;
    ANPlatformColor *shadowColor;
    
    float angle;
    float focus;
}

@property (retain) ANPlatformColor *highlightColor;
@property (retain) ANPlatformColor *shadowColor;
@property (assign) float angle;
@property (assign) float focus;

@end
