//
//  ANImageHelper+Noise.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 28.04.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import <AvisNocturnaCrossCore/ANImageHelper.h>

@interface ANImageHelper (Noise)

+ (CGImageRef) perlinNoiseImageWithOctaves:(float)octaves andFrequency:(float)frequency andPlatformColor1:(id)color1 andPlatformColor2:(id)color2 andSize:(CGSize)size andZScaling:(float)zScaling;

+ (CGImageRef) perlinNoiseImageWithOctaves:(float)octaves andFrequency:(float)frequency andPlatformColor1:(id)color1 andPlatformColor2:(id)color2 andSize:(CGSize)size andZScaling:(float)zScaling ratioX:(float)ratioX ratioY:(float)ratioY offsetX:(NSInteger)offsetX offsetY:(NSInteger)offsetY;

+ (CGImageRef) perlinNoiseImageWithOctaves:(float)octaves andFrequency:(float)frequency andPlatformColor1:(id)color1 andPlatformColor2:(id)color2 andSize:(CGSize)size amplitude:(float)amplitude andZScaling:(float)zScaling ratioX:(float)ratioX ratioY:(float)ratioY offsetX:(NSInteger)offsetX offsetY:(NSInteger)offsetY;

@end
