//
//  ANPathsHelper-NearestPoint.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 19.07.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "ANPathsHelper.h"

@interface ANPathsHelper (NearestPoint)

+ (CGPoint) nearestPointOnLineFromPoint:(CGPoint)fromPoint toPoint:(CGPoint)toPoint checkPoint:(CGPoint)point;
+ (CGPoint) nearestPointOnLineFromPoint:(CGPoint)fromPoint toPoint:(CGPoint)toPoint checkPoint:(CGPoint)point isOverFromPoint:(BOOL*)overFromPoint isOverToPoint:(BOOL*)overToPoint;

+ (CGPoint) findNearestPointOnFlattendCGPath:(CGPathRef)pathRef forPoint:(CGPoint)point;

@end
