//
//  ANPathsHelper-Rects.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 16.01.13.
//  Copyright (c) 2013 AvisNocturna Software. All rights reserved.
//

#import "ANPathsHelper.h"

@interface ANPathsHelper (Rects)

+ (CGPathRef) roundRectPathInRect:(CGRect)rect withCornerRadius:(float)radius;
+ (CGPathRef) invertedRoundRectPathInRect:(CGRect)rect withCornerRadius:(float)radius;
+ (CGPathRef) straightEdgeRectPathInRect:(CGRect)rect withCornerRadius:(float)radius;
+ (CGPathRef) straightInnerEdgeRectPathInRect:(CGRect)rect withCornerRadius:(float)radius;

@end
