//
//  ANVideoTutorialsWindow.h
//  AvisNocturnaMacCore
//
//  Created by Mendel Kucharzeck on 28.07.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import <QTKit/QTKit.h>

@class ANVideoTutorialsWindowSubtitlesView;

@interface ANVideoTutorialsWindow : NSObject <NSToolbarDelegate,NSWindowDelegate,NSSpeechSynthesizerDelegate>
{
    IBOutlet NSWindow *window;
	IBOutlet QTMovieView *movieView;
    IBOutlet ANVideoTutorialsWindowSubtitlesView *subtitlesView;
    
    NSArray *topLevelObjectsFromNib;
    
    NSDictionary *infoDictionary;
    NSURLConnection *infoDictionaryConnection;
    NSMutableData *infoDictionaryConnectionData;
    
    NSTimer *checkSubtitlesTimer;
    NSSpeechSynthesizer *speechSynth;
}

+ (ANVideoTutorialsWindow*) sharedVideoTutorialsWindow;

- (void) openVideoTutorialWithDictionary:(NSDictionary*)dictionary;
- (void) openVideoTutorialWindow;

@end
