//
//  LCBaseObjectTool.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 14.07.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@class LCBaseObject;

@interface LCBaseObjectTool : NSObject
{
    NSString *identifier;
    NSString *label;
    id icon;
    
    LCBaseObject *object;
    
    NSMutableDictionary *userData;
}

@property (retain) NSString *identifier;
@property (retain) NSString *label;
@property (retain) id icon;

@property (retain) LCBaseObject *object;

@property (readonly) NSMutableDictionary *userData;     //Used to pass information from event to event
- (void) resetUserData;

@end
