//
//  CanvasProtocol.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 19.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

@class LCObjectsContainer;
@class LCBaseObject;

@protocol LCCanvasProtocol <NSObject>

@property (assign) float zoomFactor;
@property (readonly) BOOL isZooming;
@property (readonly) float contentsScaleInAdditionToZoomFactor;

@property (assign) float renderQualityDivisor;  //Zoom factor will be devided by this value, 1 means full quality, 2 means half quality
- (CGSize) maximumImageSizeForObject:(LCBaseObject*)object;

- (LCObjectsContainer*) objectsContainer;

@end
