//
//  LCGradient.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 28.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCTimelineAnimateableObject.h"

@class LCGradientStep;

extern NSString *LCGradientChangedNotificationName;

@interface LCGradient : LCTimelineAnimateableObject <NSCoding>
{
    NSMutableArray *gradientSteps;

    LCTimelineAnimateableObject *superObjectForChangeManager;
}

@property (retain) NSArray *gradientSteps;
- (LCGradientStep*) addGradientStep;
- (void) removeGradientStep:(LCGradientStep*)step;

- (BOOL) isCompletelyOpaque;

- (void) postGradientChangedNotification;

@property (assign) LCTimelineAnimateableObject *superObjectForChangeManager;

@end
