//
//  LCGradientStep.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 29.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCTimelineAnimateableObject.h"

@class LCGradient;

@interface LCGradientStep : LCTimelineAnimateableObject <NSCoding>
{
    LCGradient *gradient;
    
    ANPlatformColor *color;
    float position;
}

- (id) initWithGradient:(LCGradient*)gradient;

@property (retain) ANPlatformColor *color;
@property (assign) float position;

@property (assign) LCGradient *gradient;

@end
