//
//  LCObjectsContainer-RulerGuides.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 23.07.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCObjectsContainer.h"

@class LCObjectsContainerRulerGuide;

@interface LCObjectsContainer (RulerGuides)

- (void) addRulerGuide:(LCObjectsContainerRulerGuide*)guide;
- (void) removeRulerGuide:(LCObjectsContainerRulerGuide*)guide;
- (void) setRulerGuides:(NSArray*)rulerGuides;
@property (readonly) NSArray *rulerGuides;

- (void) notifyDelegatesAboutChangedRulerGuides;
- (void) removeAllGuidesOutsideOfCanvas;

@end
