//
//  LCObjectsTimelineManager-Playback.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 26.08.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCObjectsTimelineManager.h"

@interface LCObjectsTimelineManager (Playback)

@property (readonly) BOOL isPlaying;       //Observeable
- (void) play;
- (void) stop;

- (void) jumpToStart;
- (void) jumpToEnd;

- (void) stepForward;
- (void) stepBack;

@end
